/*
Tool: 					Example: Estimating impact of the intervention and exporting results in Stata
Date created: 			March 17, 2022
Created by:             
What it does: 			It performs an example of how to export regression outputs easily.
Version of software: 	17.0
*/


* ---------------------------------------------------------------------------- *
* Section 1: Imputs
*----------------------------------------------------------------------------- *

clear all 
cd "C:\Users\Soporte\Dropbox\"
use "data_regtab_endline.dta"
local depvar "amountpaid_endline"
local treatment "treatment" 
local cluster "village"
local control_list "age depense chefm_m memploi homme yoruba nenfant_m mpp cif catho evangélique superieur legs ce_sf tf cte_sf"



* ---------------------------------------------------------------------------- *
* Section 2: OLS linear regression. Without control variables
*----------------------------------------------------------------------------- *

* Level 
reg `depvar' `treatment', cluster(`cluster') 
est store ols



* ---------------------------------------------------------------------------- *
* Section 3: Lasso for selection of adequate control variables
*----------------------------------------------------------------------------- *

lasso linear `depvar' (`treatment') `control_list', cluster(`cluster') rseed(2277331) 
lassocoef, display(coef, postselection)

local lasso_selec = e(othervars_sel)



* ---------------------------------------------------------------------------- *
* Section 4: OLS linear regression. With control variables
*----------------------------------------------------------------------------- *

* Level 
reg `depvar' `treatment' `lasso_selec', cluster(`cluster') 
est store ols_controls



*-------------------------------------------------------------------------------
* Exporting results 
outreg2[ols ols_controls] using "regtable",  excel  replace



